#
# spec file for package python-portalocker
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-portalocker
Version:        1.4.0
Release:        lp152.2.2
Summary:        Locking library for Python
License:        Python-2.0
Group:          Development/Languages/Python
URL:            https://github.com/WoLpH/portalocker
Source:         https://files.pythonhosted.org/packages/source/p/portalocker/portalocker-%{version}.tar.gz
BuildRequires:  %{python_module Sphinx >= 1.7.1}
BuildRequires:  %{python_module pytest >= 3.4.0}
BuildRequires:  %{python_module setuptools >= 38.3.0}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
Portalocker is a library to provide an API to file locking.

On Linux and Unix systems, the locks are advisory by default. By
specifying the `-o mand` option to the mount command, it is possible
to enable mandatory file locking on Linux. This is generally not
recommended however.

%prep
%setup -q -n portalocker-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}
%python_expand rm -rf %{buildroot}%{$python_sitelib}/tests/

%check
%python_expand PYTHONPATH=%{buildroot}%{$python_sitelib} py.test-%{$python_bin_suffix} tests/t*.py

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitelib}/*

%changelog
* Thu Feb 14 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.4.0:
  * no upstream changelog
- Drop patch portalocker-1.2.1-old-Sphinx.patch
* Fri May 18 2018 jengelh@inai.de
- Clear filler wording from description.
* Thu May 17 2018 mcepl@suse.com
- Fix specfile name
* Thu May 17 2018 mcepl@suse.com
- Initial packaging effort
